custom firmware after jailbreakme old bootrom 3gs not possible

Discussion in 'Jailbreaks and iOS Hacks' started by SportyMac, Aug 20, 2010.

  1. SportyMac macrumors newbie

    SportyMac

    Joined:
    Jun 14, 2009
    #1
    @all,

    i have really tried it all:

    different cfw
    different pc /mac
    different cables
    different restore modes

    ...it stays the same: error 1600 or 1604

    i am trying to downgrade my old bootrom 359.3 3gs currently on stock 4.0.1 with jailbreakme and hacktivation patch lockdown - to anything cfw....and its not working!!!!:mad:

    now i researched that jailbreakme is userland and for cfw to work u need pwn - right?

    if thats is the case, hown can i get pwn?
    yellowsnow2.0 asks to be pawned, pwnagetool 4.0.2 ( is it a scam?) is not working on my 3gs - error 1604 again - just as many state at redmondpie!!!

    who can help shed some light into this frustrating matter???!! i really need 3.1.3 cfw back!

    any help highly appreciated!!

    greetz
     
  2. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #2
    The only way to own a 3GS is to downgrade to iOS 3.1.2 or earlier first and then jailbreak using Redsn0w, PwnageTool, or blackra1n. You can only do this if you have your SHSH for 3.1.2 or earlier on file.
     
  3. SportyMac thread starter macrumors newbie

    SportyMac

    Joined:
    Jun 14, 2009
    #3
    ...my researches and tries somehow showed that!
    BUT WHY IS THAT SO? is that due to jailbreakme?

    and no, i only have shsh for 4.0/4.01 the prvios owner was a dummy...:cool:
     
  4. SportyMac thread starter macrumors newbie

    SportyMac

    Joined:
    Jun 14, 2009
    #4
    i need to push on this again:

    i am curios about the future and worried: i really like the convenience of cfw restores!

    now, if since jailbreakme we are stuck on a userland jailbreak,
    BUT need a pwn / iboot exploit jailbreak in order to use cfw restore on our 3gs old bootrom 359.3,
    HOW will that be possible?
    - cant use pwnagetool since it requires cfw restore
    ...so what is left / comming up???

    greetz
     
  5. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #5
    If you don't have hashes for 3.1.2 and 3.1.3, then you missed the window with your purchasing/jailbreaking your 3GS. It is what it is.

    Perhaps there will be a iBoot jailbreak in the future, but being jailbroken on 3.1.3 with that 3GS for you is not possible as you know.

    You should have either gotten your 3GS sooner (during 3.1.2 firmware days) or purchased a 3GS with hashes already saved by original owner.

    I recently sold both my 3GS iDevices with hashes all the way back to 3.0. As people upgrade to iPhone 4 iDevices, lots of 3GS phones with a good history of hashes are available for sale.
     
  6. SportyMac thread starter macrumors newbie

    SportyMac

    Joined:
    Jun 14, 2009
    #6
    gee, i wish i d come up with this when i decided these first 4.0.1 cfw without ibook fix were crap and then i went for stock 4.0.1 since jailbreakme is soooo eaasssy :rolleyes: - yeah, until u understand the difference between userland and pwn and its meaning for the old bootrom 359.3 and its simple way of using cfw without worries :( those days are gone now! -

    well, lets hope pwnagetool 4.0.2 will work porperly once finally released, since currently its dfu mode doesnt seem to work

    thnx to all helpers
     

Share This Page